﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using DTO;

namespace Data_Layer
{
    public class CustomerDL
    {
        ///<summary>
        /// Insert Customer data.
        ///</summary>
        ///<paramname="Customer">Customer object.</param>
        ///<returns>CustomerId</returns>
        public static int InsertCustomer(Customer customer)
        {
            string sql = "INSERT INTO Customers(Name, Country) VALUES(@Name, @Country)";
            sql += " SELECT SCOPE_IDENTITY()";

            Dictionary<string, object> parameters = new Dictionary<string, object>();
            parameters.Add("@Name", customer.Name);
            parameters.Add("@Country", customer.Country);
            return Convert.ToInt32(sql.GetScalar(parameters));
        }
    }
}
